### Function

# GLib datalist_id_get_data

since: 2.0

#### Declaration

    gpointer
    g_datalist_id_get_data (
      GData** datalist,
      GQuark key_id
    )

#### Description

Retrieves the data element corresponding to `key_id`.

Available since: 2.0

#### Parameters

`datalist`

  Type: `GData`

  A datalist.

  The data is owned by the caller of the function.

`key_id`

  Type: `GQuark`

  The `GQuark` identifying a data element.

#### Return value

Type: `gpointer`

The data element, or `NULL` if it is not found.

The data is owned by the called function.
The return value can be `NULL`.